Skip to main content
GET
/
v1
/
accounts
/
deposits
/
{id}
Get an account deposit
curl --request GET \
  --url https://api-sandbox.circle.com/v1/accounts/deposits/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
    "destination": {
      "type": "account",
      "id": "12345"
    },
    "amount": {
      "amount": "3.14",
      "currency": "USD"
    },
    "status": "pending",
    "createDate": "2020-04-10T02:13:30.000Z",
    "sourceAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "fee": {
      "amount": "3.14",
      "currency": "USD"
    },
    "riskEvaluation": {
      "decision": "approved",
      "reason": "3000"
    },
    "updateDate": "2020-04-10T02:13:30.000Z",
    "source": {
      "type": "wire",
      "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
      "name": "COMMERZBANK AG ****3000"
    },
    "fromAmount": {
      "amount": "3.14",
      "currency": "USD"
    },
    "fees": {
      "amount": "3.14",
      "currency": "USD"
    },
    "externalRef": "b8627ae8-732b-4d25-b947-1df8f4007a29",
    "trackingRef": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Universally unique identifier (UUID v4) of a resource.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"

Response

Successfully retrieved a deposit.

data
object

A deposit.